> ## Documentation Index
> Fetch the complete documentation index at: https://nayax-44d6e37b-docs-marshall-faq-redistribution.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Machine to Route

> Assigns a machine to a specific route. The request body should include the details of the machine to be assigned.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/Scheduling/route-machines
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/Scheduling/route-machines:
    post:
      tags:
        - Scheduling
      summary: Assign Machine to Route
      description: >-
        Assigns a machine to a specific route. The request body should include
        the details of the machine to be assigned.
      operationId: assign-machine-to-route
      parameters:
        - name: RouteId
          in: query
          description: >-
            The unique identifier of the route to which the machine will be
            assigned.
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouteMachineCreateRequestDto'
      responses:
        '200':
          description: The details of the machine assigned to the route.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RouteMachineResponseDto'
components:
  schemas:
    RouteMachineCreateRequestDto:
      type: object
      properties:
        MachineIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
          description: >-
            A list of unique identifiers for the machines to be assigned to the
            route. Each `MachineId` corresponds to a machine that will be
            associated with the specified route.
      additionalProperties: false
    RouteMachineResponseDto:
      type: object
      properties:
        MachineTypeLutId:
          type: integer
          format: int32
          nullable: true
          description: The identifier for the machine type from the lookup table.
        MachineId:
          type: integer
          format: int64
          description: The unique identifier of the machine.
        MachineName:
          type: string
          nullable: true
          description: The name of the machine.
        MachineNumber:
          type: string
          nullable: true
          description: The unique number assigned to the machine.
        CountryId:
          type: integer
          format: int32
          nullable: true
          description: The identifier for the country where the machine is located.
        City:
          type: string
          nullable: true
          description: The city where the machine is located.
        Address:
          type: string
          nullable: true
          description: The address where the machine is located.
        StreetNumber:
          type: string
          nullable: true
          description: The street number where the machine is located.
        Longitude:
          type: string
          nullable: true
          description: The longitude coordinate of the machine's location.
        Latitude:
          type: string
          nullable: true
          description: The latitude coordinate of the machine's location.
        InstituteId:
          type: integer
          format: int64
          nullable: true
          description: The unique identifier of the institute associated with the machine.
        InstituteName:
          type: string
          nullable: true
          description: The name of the institute associated with the machine.
        LocationId:
          type: integer
          format: int64
          nullable: true
          description: >-
            The unique identifier of the location where the machine is
            installed.
        LocationName:
          type: string
          nullable: true
          description: The name of the location where the machine is installed.
        CustomerId:
          type: integer
          format: int64
          nullable: true
          description: The unique identifier of the customer associated with the machine.
        CustomerName:
          type: string
          nullable: true
          description: The name of the customer associated with the machine.
        CustomerLocationId:
          type: integer
          format: int64
          nullable: true
          description: >-
            The unique identifier of the customer's location associated with the
            machine.
        CustomerLocationName:
          type: string
          nullable: true
          description: The name of the customer's location associated with the machine.
        StatusId:
          type: integer
          format: int32
          nullable: true
          description: The status identifier of the machine, indicating its current status.
        DriverId:
          type: string
          format: uuid
          nullable: true
          description: The unique identifier of the driver assigned to the machine.
        RouteId:
          type: integer
          format: int64
          description: The unique identifier of the route to which the machine is assigned.
        UserId:
          type: integer
          format: int64
          nullable: true
          description: >-
            The unique identifier of the user who last interacted with the
            machine.
        CreatedBy:
          type: integer
          format: int64
          description: >-
            The unique identifier of the user who created the route-machine
            association.
        CreatedDt:
          type: string
          format: date-time
          description: The date and time when the route-machine association was created.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````